/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/graphics/scenefeatures.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/graphics/graphics.hpp"

//
// NULL stub functions
//
void 
CSGXGraphicsEngine::drawSky()
{
	SGX_ENGINE_STATS("drawsky");
}

void 
CSGXGraphicsEngine::drawWorldSceneGraph()
{
	SGX_ENGINE_STATS("drawworldscenegraph");
}

void 
CSGXGraphicsEngine::preDrawObjectsInWorld()
{
	SGX_ENGINE_STATS("predrawobjectsinworld");

	preDraw();
}

void 
CSGXGraphicsEngine::drawObjectsInWorld()
{
	// TODO: add stats engine
	SGX_ENGINE_STATS("drawobjectsinworld");

	sgxVector<CGameHandler *>::iterator it = m_EngineObjects.begin();
	
	for(;it!=m_EngineObjects.end();++it) {
		// TODO: Is it in view frustum?
		if ((*it)) {
			(*it)->draw();
		}
	}
}

void 
CSGXGraphicsEngine::postDrawObjectsInWorld()
{
	SGX_ENGINE_STATS("postdrawobjectsinworld");

	postDraw();

}

void 
CSGXGraphicsEngine::drawOverlays()
{
	SGX_ENGINE_STATS("drawoverlays");
}
